Results 1 to 2 of 2
  1. #1

    Issue with conecting via websocket (Sec-WebSocket-Protocol unsuported)

    Hi!

    I'm currently using the Lightstreamer version 6.0.3 (& 6.0.1), and, when I try to connect using websockets, following the TLCP Specifications document, but got 403 and an message in log's file.


    I tried with bellow command:

    JS Command:
    var websocket = new WebSocket('ws://localhost:8080/lightstreamer',['Sec-WebSocket-Protocol','TLCP-2.1.0.lightstreamer.com']);

    Result: 403

    LS Server Log:
    02-abr-20 10:03:00,578|WARN |ightstreamerLogger.connections.WS|SERVER POOLED THREAD 10 |Received websocket upgrade request with no acceptable subprotocol: unsupported.


    Tried the same with currently online server (latest version of LS) wss://push.lightstreamer.com/lighstreamer and works like a charm.

    The question is, wich subprotocol should I use with version 6.0.1 (&6.0.3) to work with websockets transport? I have not found any documentation about this.

    Thanks!

  2. #2
    Administrator
    Join Date
    Jul 2006
    Location
    Milan
    Posts
    1,013
    You are right, there is no resuming document on the relations between TLCP versions and Server versions.
    The relevant information is in the changelog of the related SDK (the SDK for Generic Clients), that you can find in the download page.
    The (currently) latest changelog follows the whole story of the protocol.

    In practice,
    • SDK (i.e. TLCP) version 2.1.0 is compatible with the Server since Server version 7.0.
    • SDK (i.e. TLCP) version 2.0.0 is compatible with the Server since Server version 6.1.
    2.0.0 is also the first version of the TLCP protocol. The previous versions of the SDK were not based on the TLCP protocol, but on a totally different protocol, with even a different versioning. In particular, we see that
    • SDK version 6.0.3 is compatible with the Server since Server version 6.0.3.
    • SDK version 6.0.1 is compatible with the Server since Server version 6.0.
    It is also implicitly said that every new version of the Server keeps the support for all SDK versions supported by the previous one.

    The documentation of each protocol version can be found in the "Lightstreamer/DOCS-SDKs/sdk_client_generic/doc" folder of the distribution package in which it was released and, obviously, it is compatible with the Server version available in the same distribution package.
    The protocol for SDK version 6.0.3 can also be found here.

 

 

Similar Threads

  1. Replies: 1
    Last Post: July 28th, 2016, 11:16 AM
  2. J2EE app to push message via LS w/o JMS
    By atamel in forum General
    Replies: 3
    Last Post: August 9th, 2010, 02:09 PM
  3. Problem with StockListDemo via Apache.
    By cfalcone in forum Client SDKs
    Replies: 1
    Last Post: July 10th, 2008, 02:19 PM

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
All times are GMT +1. The time now is 12:46 PM.